1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.2 PHP Error when upgrading to 1.2.4 using CLI Upgrader

Discussion in 'Installation, Upgrade, and Import Support' started by Liam W, Dec 17, 2013.

  1. Liam W

    Liam W Well-Known Member

    This error occured:

    I'm running it again now, and it seems to be working. Should that have happened though or should I be concerned?


    EDIT: Another memory size error:

    Always when rebuilding templates, always that line.
  2. Mike

    Mike XenForo Developer Staff Member

    That's a rather low max memory setting (1/4 PHP's default), especially if you have the ability to run via the CLI. I would recommend increasing this to at least 128M.

    You may find that the CLI version can use more memory given that all the work is done in the same process. If in doubt, use the standard upgrade system.
  3. Liam W

    Liam W Well-Known Member

    Ok, my mistake. Completed successfully after increasing limit.

    No idea why it was so low, must've changed it at some point...

    Oh well, thanks.


Share This Page